## org.apache.mahout.clustering.iterator
Class ClusterWritable

    java.lang.Object
      org.apache.mahout.clustering.iterator.ClusterWritable

All Implemented Interfaces:
  org.apache.hadoop.io.Writable

    public class ClusterWritable

extends Object
implements org.apache.hadoop.io.Writable

Constructor Summary
`ClusterWritable()`
`ClusterWritable(Cluster first)`

Method Summary
`Cluster` `getValue()`
`void` `readFields(DataInput in)`
`void` `setValue(Cluster value)`
`void` `write(DataOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClusterWritable

    public ClusterWritable(Cluster first)

### ClusterWritable

    public ClusterWritable()

Method Detail

### getValue

    public Cluster getValue()

### setValue

    public void setValue(Cluster value)

### write

    public void write(DataOutput out)
               throws IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `IOException`

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.